#include <iostream>
#include "mud.h"

int main()
{
   Mud mud;

   mud.init_sphere(Vec3f(0,0.5,0), 0.075);
   std::cout<<"Starting simulation with "<<mud.n<<" particles"<<std::endl;
   for(int frame=0; frame<200; ++frame){
      std::cout<<"Frame "<<frame<<std::endl;
      mud.advance_frame(1.0/1000.0);
      mud.write_output("splash%04d", frame);
   }

   return 0;
}

